## org.eclipse.datatools.sqltools.data.internal.core
Class Messages

    java.lang.Object
      org.eclipse.datatools.sqltools.data.internal.core.Messages

    public class Messages

extends java.lang.Object

Method Summary
`static java.lang.String` `getString(java.lang.String key)`
`static java.lang.String` `getString(java.lang.String key, java.lang.Object[] arguments)` Gets a String resource, given its index, and uses java.text.MessageFormat to do argument substitution.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getString

    public static java.lang.String getString(java.lang.String key)

### getString

    public static java.lang.String getString(java.lang.String key,
                                             java.lang.Object[] arguments)

  Gets a String resource, given its index, and uses java.text.MessageFormat to do argument substitution. Arguments place holders in the resource string must have the form {0}, {1}, ...

  Parameters:
    `key` - The index of the resource.
    `arguments` - Objects for substitution.
  Returns:
    A resource String